local addonVersion = "v0.1"

GEOLOC = {};


function GEOLOC_OnLoad()
	if(GEOLOC.nr == nil) then
		GEOLOC.nr = 1;
	end
	if(GEOLOC.nr == 0) then
		GEOLOC.nr = 1;
	end
	GEOLOCFrame:RegisterEvent("ZONE_CHANGED")
	GEOLOCFrame:RegisterEvent("ZONE_CHANGED_INDOORS")
	GEOLOCFrame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	GEOLOCFrame:RegisterEvent("VARIABLES_LOADED");
	GEOLOCFrame:RegisterEvent("PLAYER_LOGOUT");
	SLASH_1GEOLOC1 = "/gl"
	SlashCmdList["1GEOLOC"] = GEOLOC_Help
	SLASH_2GEOLOC1 = "/gla"
	SlashCmdList["2GEOLOC"] = GEOLOC_New
	SLASH_3GEOLOC1 = "/gld"
	SlashCmdList["3GEOLOC"] = GEOLOC_Delete
	SLASH_4GEOLOC1 = "/gls"
	SlashCmdList["4GEOLOC"] = GEOLOC_Show
	print("GEOLOC".. addonVersion.. "loaded");
end

function GEOLOC_OnEvent(self,event,...)
	for i = 1, table.getn(GEOLOC), 1 do
		if(string.find(GetRealZoneText(), GEOLOC[i].loc) ~= nil or string.find(GetMinimapZoneText(), GEOLOC[i].loc) ~=nil) then
			print("REMIND: (|c2244dd22" .. i .. "|r) |c2244dd22" .. GEOLOC[i].msg);
			print("To Remove write |c2244dd22/gld " .. i);
		end
	end
end

function GEOLOC_New(arg)
	if (arg ~= "") then
		nr = table.getn(GEOLOC);
		if(nr == nil) then
			nr = 0;
		end
		nr = nr + 1;
		arg1 = arg;
		arg1nr = string.find(arg1, " ");
		arg1 = string.sub(arg1, 1, arg1nr);
		arg2 = arg;
		arg2nr = arg1nr + 1;
		arg2 = string.sub(arg2, arg2nr);
		GEOLOC[nr] = {};
		GEOLOC[nr].loc = arg1;
		GEOLOC[nr].msg = arg2;
		print("Reminder with id |c2244dd22" .. nr .. " |rcreatet at |c2244dd22" .. GEOLOC[nr].loc .. "|rwith message |c2244dd22" .. GEOLOC[nr].msg);
	else
		print("|c2244dd22/gl [LOCATION] [MSG]");
	end
end


function GEOLOC_Delete(arg)
	if(arg ~= "") then
	nr = arg;
	nrs = tonumber(nr);
		if(nrs <= table.getn(GEOLOC)) then
			print("Reminder with id |c2244dd22" .. nr .. "|r deletet.");
			table.remove(GEOLOC, nr)
		else
			print("No Remind with this id found.");
			print("Write |c2244dd22/gls|r to show all reminds");
		end
	else
		print("|c2244dd22/gld [ID]");
		print("or write |c2244dd22/gls|r to show all reminds");
	end
end

function GEOLOC_Show(arg)
	print("(ID) location - |c2244dd22message|r");
	for i = 1, table.getn(GEOLOC), 1 do
		print("(" .. i .. ") |c2244dd22" .. GEOLOC[i].loc .. "|r - " .. GEOLOC[i].msg);
	end
	print("write |c2244dd22/gld [ID]|r to delete a reminder");
end

function GEOLOC_Help(arg)
print("Welcome to |c2244dd22GEOLOC|r.");
print("write |c2244dd22/gla [LOCATION] [MESSAGE]|r to add a reminder");
print("write |c2244dd22/gls|r to show all reminder");
print("write |c2244dd22/gld [ID]|r to delete a reminder");
end
